Enable or disable a webhook endpoint

Authentication

Requires product-api-token (sent via the configured auth header as a JWT bearer token) headers.

Path parameters

  • endpointId (number): the webhook endpoint identifier

Request body

JSON payload matching UpdateWebhookStatusDto.

Required fields:

  • isActive (boolean)

Response

200: Webhook endpoint updated successfully. Returned data (WebhookEndpointResponseDto) includes:

  • id
  • pspId
  • url
  • isActive
  • createdAt
  • updatedAt

400: Bad request

401: Unauthorized

403: Forbidden

404: Not found

500: Internal server error

Path Params
number
required
Body Params
boolean
required
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json